com.trendmicro.ds.platform.rest.object.smartfolder

## Enum Model.Key

- java.lang.Object
- - java.lang.Enum<Model.Key>
  - - com.trendmicro.ds.platform.rest.object.smartfolder.Model.Key

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Model.Key>
  Enclosing class:
    Model

      public static enum Model.Key
      extends java.lang.Enum<Model.Key>

  List of Keys for the different Query Definitions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AWS_ACCOUNT_ALIAS`
    `AWS_ACCOUNT_ID`
    `AWS_AMI_ID`
    `AWS_REGION_ID`
    `AWS_REGION_NAME`
    `AWS_SECURITY_GROUP`
    `AWS_SECURITY_GROUP_ID`
    `AWS_SUBNET_ID`
    `AWS_TAG`
    `AWS_VPC_ID`
    `AZURE_RESOURCE_GROUP`
    `AZURE_SUBSCRIPTION_NAME`
    `DIRECTORY_FOLDER`
    `DIRECTORY_NAME`
    `GENERAL_AGENT_ACTIVATED`
    `GENERAL_DISPLAY_NAME`
    `GENERAL_DOCKER_RUNNING`
    `GENERAL_GROUP_NAME`
    `GENERAL_HOST_NAME`
    `GENERAL_IP`
    `GENERAL_OS`
    `GENERAL_POLICY`
    `VCENTER_CUSTOM_ATTRIBUTE`
    `VCENTER_DATACENTER`
    `VCENTER_ESX_HOST`
    `VCENTER_FOLDER`
    `VCENTER_NAME`
    `VCLOUD_APPLICATION`
    `VCLOUD_DATACENTER`
    `VCLOUD_NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Model.Key` | `getKeyFromString(java.lang.String string)`
    `java.lang.String` | `toString()`
    `static Model.Key` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Model.Key[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERAL_HOST_NAME

          public static final Model.Key GENERAL_HOST_NAME

    - #### GENERAL_DISPLAY_NAME

          public static final Model.Key GENERAL_DISPLAY_NAME

    - #### GENERAL_GROUP_NAME

          public static final Model.Key GENERAL_GROUP_NAME

    - #### GENERAL_OS

          public static final Model.Key GENERAL_OS

    - #### GENERAL_IP

          public static final Model.Key GENERAL_IP

    - #### GENERAL_POLICY

          public static final Model.Key GENERAL_POLICY

    - #### GENERAL_AGENT_ACTIVATED

          public static final Model.Key GENERAL_AGENT_ACTIVATED

    - #### GENERAL_DOCKER_RUNNING

          public static final Model.Key GENERAL_DOCKER_RUNNING

    - #### AWS_TAG

          public static final Model.Key AWS_TAG

    - #### AWS_SECURITY_GROUP

          public static final Model.Key AWS_SECURITY_GROUP

    - #### AWS_SECURITY_GROUP_ID

          public static final Model.Key AWS_SECURITY_GROUP_ID

    - #### AWS_AMI_ID

          public static final Model.Key AWS_AMI_ID

    - #### AWS_ACCOUNT_ID

          public static final Model.Key AWS_ACCOUNT_ID

    - #### AWS_ACCOUNT_ALIAS

          public static final Model.Key AWS_ACCOUNT_ALIAS

    - #### AWS_REGION_ID

          public static final Model.Key AWS_REGION_ID

    - #### AWS_REGION_NAME

          public static final Model.Key AWS_REGION_NAME

    - #### AWS_VPC_ID

          public static final Model.Key AWS_VPC_ID

    - #### AWS_SUBNET_ID

          public static final Model.Key AWS_SUBNET_ID

    - #### AZURE_SUBSCRIPTION_NAME

          public static final Model.Key AZURE_SUBSCRIPTION_NAME

    - #### AZURE_RESOURCE_GROUP

          public static final Model.Key AZURE_RESOURCE_GROUP

    - #### VCENTER_NAME

          public static final Model.Key VCENTER_NAME

    - #### VCENTER_DATACENTER

          public static final Model.Key VCENTER_DATACENTER

    - #### VCENTER_FOLDER

          public static final Model.Key VCENTER_FOLDER

    - #### VCENTER_ESX_HOST

          public static final Model.Key VCENTER_ESX_HOST

    - #### VCENTER_CUSTOM_ATTRIBUTE

          public static final Model.Key VCENTER_CUSTOM_ATTRIBUTE

    - #### VCLOUD_NAME

          public static final Model.Key VCLOUD_NAME

    - #### VCLOUD_DATACENTER

          public static final Model.Key VCLOUD_DATACENTER

    - #### VCLOUD_APPLICATION

          public static final Model.Key VCLOUD_APPLICATION

    - #### DIRECTORY_NAME

          public static final Model.Key DIRECTORY_NAME

    - #### DIRECTORY_FOLDER

          public static final Model.Key DIRECTORY_FOLDER

  - ### Method Detail

    - #### values

          public static Model.Key[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Model.Key c : Model.Key.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Model.Key valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getKeyFromString

          public static Model.Key getKeyFromString(java.lang.String string)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Model.Key>`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.